summaryrefslogtreecommitdiff
path: root/source4/selftest/tests_win.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/selftest/tests_win.sh')
-rwxr-xr-xsource4/selftest/tests_win.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/source4/selftest/tests_win.sh b/source4/selftest/tests_win.sh
new file mode 100755
index 0000000000..19460eee0e
--- /dev/null
+++ b/source4/selftest/tests_win.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+ if [ `whoami` != "root" ]; then
+ echo "Windows tests will not run without root privileges."
+ exit 1
+ fi
+
+ if [ "$DO_SOCKET_WRAPPER" = SOCKET_WRAPPER ]; then
+ echo "Windows tests will not run with socket wrapper enabled."
+ exit 1
+ fi
+
+ if [ ! $WINTESTCONF ]; then
+ echo "Environment variable WINTESTCONF has not been defined."
+ echo "Windows tests will not run unconfigured."
+ exit 1
+ fi
+
+ if [ ! -r $WINTESTCONF ]; then
+ echo "$WINTESTCONF could not be read."
+ exit 1
+ fi
+
+ export WINTEST_DIR=$SRCDIR/selftest/win
+ export TMPDIR=$TMPDIR
+ export NETBIOSNAME=$NETBIOSNAME
+
+ . $WINTESTCONF
+
+ $SRCDIR/selftest/test_win.sh